Description

BezierTrack was moved to larreco/Deprecated, but not completely removed as a result of work done for issue #15446

We think the time has come to remove the Deprecated subdirectory entirely. Gianluca's detective work has found the places using

BezierTrack.

e "FeatureTracker' and “CornerFinderAlg" are something probably nobody will miss by now

e "BezierCalorimetry', "BezierTrackerAlgorithm®, "BezierTrackerModule™ and event display hooks exist only because BezierTrack

exist

¢ the same is true for "BezierTracker” hooks in the various experiment “AnalysisTree” modules

BUT the code in “larana/OpticalDetector” might be still relevant
o (‘BeamFlashCompatibilityCheck_module.cc’, "TrackTimeAssoc_module.cc’)

o both MicroBooNE and DUNE state that they are not using those OpticalDetector modules

It may be advisable to do this work in stages.

History

#1 - 08/20/2018 10:31 AM - Kyle Knoepfel

- Status changed from New to Assigned

- Assignee set to Lynn Garren

- Priority changed from Normal to Low

#2 - 05/21/2019 10:24 AM - Lynn Garren

- Priority changed from Low to Normal

- Assignee changed from Lynn Garren to Kyle Knoepfel

Untangling everything will take a bit of work. Reassigning to Kyle.

#3 - 06/17/2019 08:55 AM - Kyle Knoepfel

- % Done changed from 0 to 100

- Status changed from Assigned to Resolved

This has been implemented as part of an effort to remove unused modules and services. The LArSoft packages and feature branches with the

relevant commits are:

e |arana:feature/knoepfel_rm_bezier

lareventdisplay:feature/knoepfel_rm_bezier
larreco:feature/knoepfel_rm_bezier
lardata:feature/knoepfel_rm_unused_modules
larevt:feature/knoepfel_rm_unused_modules
larsim:feature/knoepfel_rm_unused_modules

Experiment packages and branches that accommodate the changes above are:

e argoneutcode:feature/knoepfel_rm_bezier

¢ dunetpc:feature/knoepfel_rm_bezier
¢ icaruscode:feature/knoepfel_rm_bezier
e ubana:feature/knoepfel_rm_bezier
https://cdcvs.fnal.gov/redmine/issues/15446

#4 - 01/08/2020 11:53 AM - Kyle Knoepfel

- Status changed from Resolved to Closed

Included in the LARSOFT_SUITE_v08 23 00 release.
